﻿using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.rangeControl.SelectionType = RangeControlSelectionType.ThumbAndFlag;

            NumericRangeControlClient client = new NumericRangeControlClient();

            client.Maximum      = 10.5d;
            client.Minimum      = 5.5d;
            client.RulerDelta   = 0.5d;
            client.RangeControl = this.rangeControl;

            this.rangeControl.Client = client;

            this.rangeControl.RangeChanged += rangeControl_RangeChanged;

            this.rangeControl.SelectedRange.Maximum = 7;
            this.rangeControl.SelectedRange.Minimum = 6;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 범위 컨트롤 범위 변경시 처리하기 - rangeControl_RangeChanged(sender, range)

        /// <summary>
        /// 범위 컨트롤 범위 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="range">이벤트 인자</param>
        private void rangeControl_RangeChanged(object sender, RangeControlRangeEventArgs e)
        {
            this.messageLabelControl.Text = $"{e.Range.Minimum} - {e.Range.Maximum}";
        }

        #endregion
    }
}